# Class StyleForParagraph

#### Hierarchy

- Style
  - StyleForParagraph

- Defined in file/styles/style/paragraph-style.ts:14

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new StyleForParagraph(options): StyleForParagraph

- #### Parameters

  - options: IParagraphStyleOptions

  #### Returns StyleForParagraph

  Overrides Style.constructor

  - Defined in file/styles/style/paragraph-style.ts:18

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - child: string | XmlComponent

  #### Returns XmlComponent

  #### Deprecated

  Do not use this method. It is only used internally by the library. It will be removed in a future version.

  Inherited from Style.addChildElement

  - Defined in file/xml-components/xml-component.ts:48

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from Style.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc